/*global describe, it*/
'use strict';

var api = require('../main');
var nock = require('nock');
var expect = require('chai').expect;

nock('http://api.ft.com')
	.get('/content/12dc0348-d780-11e4-94b1-00144feab7de?sjl=WITH_RICH_CONTENT')
	.reply(200, require('./fixtures/capi-v2-article'))
	.get('/organisations/89a11e71-2651-3ded-bd99-cbf02cddcfb4')
	.reply(200, require('./fixtures/capi-v2-organisation'));

describe('content', function() {
	it('should return content', function() {
		return api.content({
				uuid: '12dc0348-d780-11e4-94b1-00144feab7de'
			})
			.then(function(article) {
				expect(article.title).to.be.a.string;
			});
	});
});

describe('organisation', function() {
	it('should return content', function() {
		return api.organisations({
				uuid: '89a11e71-2651-3ded-bd99-cbf02cddcfb4'
			})
			.then(function(article) {
				expect(article.title).to.be.a.string;
			});
	});
});
